Get VM Groups
Get the details of all vmGroup
Query Parameters
- hypervisorId int32
Id of the hypervisor to list vm groups
- start integer
This value determines the starting point for fetching VM Groups. For example, if set to 5, the first 5 VM Groups will be skipped, and fetching will begin from the 6th group onward.
- limit integer
Default value:
20Specifies the number of VM Groups to fetch. If set to 0, all VM Groups will be fetched starting from the specified start value.
- 200
- 404
Success
- application/json
- Schema
- Example (from schema)
Schema
- vmGroupCount int32
vmGroups object[]
status stringPossible values: [
ALL,PROTECTED,NOT_PROTECTED,PENDING,BACKED_UP_WITH_ERROR,DISCOVERED]cloudVendor stringPossible values: [
CV_DEFAULT,AZURE,AWS,USER_CREATED,OCI,GCP]Cloud Vendor of the VM.
regionName stringHypervisorType stringPossible values: [
NONE,VMW,MICROSOFT,XEN_SERVER,AMAZON,AZURE,REDHAT,AZURE_V2,SCVMM,NUTANIX,ORACLE_VM,DOCKER,OPENSTACK,ORACLE_CLOUD,FUSIONCOMPUTE,VCLOUD,GOOGLE_CLOUD,AZURE_STACK,ALIBABA_CLOUD,ORACLE_CLOUD_INFRASTRUCTURE,KUBERNETES,REDHAT_OPENSHIFT,MONGODB_ATLAS,PROXMOX,KUBERNETES_AKS,AZURE_STACK_HCI,KUBERNETES_EKS,MORPHEUS,KUBERNETES_GKE,KUBERNETES_OKE,NUTANIX_PRISM_CENTRAL,APACHE_CLOUDSTACK,VMWARE_CLOUD_FOUNDATION,NEXAVM,INCUS]vmGroup object
id int32name stringHypervisor object
id int32name stringdisplayName stringInstance object
id int32name stringplan object
id int32name stringsubType stringPossible values: [
ANY,DLO,SERVER,LAPTOP,DATABASE,SNAP,FS_SERVER,VSA_SERVER,VSA_REPLICATION,EXCHANGE_USER,EXCHANGE_JOURNAL,DATA_CLASSIFICATION,E_DISCOVERY,OFFICE_365,ARCHIVER,FSIBMIVTL,DYNAMICS_365,CDM,ObjectStore]lastBackup object
last backup job details for the client
time int64UNIX time for the last backup job run
jobId int32Job id of the last backup job
status stringPossible values: [
NEVER_BACKED_UP,COMPLETED,FAILED,COMPLETED_WITH_ERRORS,KILLED,SUSPENDED,INTERRUPTED,ANY_STATUS,SKIPPED,FAILED_TO_START,SYNCHRONIZED,NOT_SYNCHRONIZED,NOT_ATTEMPTED,STARTED,COMPLETED_WITH_WARNINGS,SYSTEM_FAILED,COMMITTED]Status of the last backup job performed.
lastSuccessfullBackupTime int64UNIX time for the last successful backup job run
failureReason stringFailure reason for the last backup job
commcell object
name stringName of the commcell the entity belongs to.
company object
id int32Id of company
name stringName of company
multiCommcellId int32Multi Commcell Id of company
replicationGroup object
id int32name stringisDefaultVMGroup booleanDefault value:
falseTrue if subclient is default subclient
storagePolicyRetentionExtension booleanDefault value:
falseTrue if extend storage policy Retention
indexingStatus stringPossible values: [
NOT_APPLICABLE,ENABLED,SETUP_IN_PROGRESS]Default value:
NOT_APPLICABLEType of indexing status.
SnapBackupEnabled booleanDefault value:
falseTrue if snap backup enabled
isSnapshotV2 booleanDefault value:
falseTrue if snapshotV2
isProtectionGroupGenerated booleanTrue if automatically generated by protection group
description stringDescription of VMGroup
vmBackupInfo object
vmPendingCount int32VMs pending for Backup
vmProtectedCount int32Protected vm Count
vmNotProtectedCount int32VM Missed to protect count
vmNeverBackedUpCount int32vm never Backed up count
vmBackedUpWithErrorCount int32VM Backed up with error count
vmTotalCount int32Total vm Count
Backupset object
id int32name stringtags object[]
id int32name stringvalue string
{
"vmGroupCount": 0,
"vmGroups": [
{
"status": "ALL",
"cloudVendor": "CV_DEFAULT",
"regionName": "string",
"HypervisorType": "NONE",
"vmGroup": {
"id": 0,
"name": "string"
},
"Hypervisor": {
"id": 0,
"name": "string",
"displayName": "string"
},
"Instance": {
"id": 0,
"name": "string"
},
"plan": {
"id": 0,
"name": "string",
"subType": "ANY"
},
"lastBackup": {
"time": 0,
"jobId": 0,
"status": "NEVER_BACKED_UP",
"lastSuccessfullBackupTime": 0,
"failureReason": "string"
},
"commcell": {
"name": "string"
},
"company": {
"id": 0,
"name": "string",
"multiCommcellId": 0
},
"replicationGroup": {
"id": 0,
"name": "string"
},
"isDefaultVMGroup": false,
"storagePolicyRetentionExtension": false,
"indexingStatus": "NOT_APPLICABLE",
"SnapBackupEnabled": false,
"isSnapshotV2": false,
"isProtectionGroupGenerated": true,
"description": "string",
"vmBackupInfo": {
"vmPendingCount": 0,
"vmProtectedCount": 0,
"vmNotProtectedCount": 0,
"vmNeverBackedUpCount": 0,
"vmBackedUpWithErrorCount": 0,
"vmTotalCount": 0
},
"Backupset": {
"id": 0,
"name": "string"
},
"tags": [
{
"id": 0,
"name": "string",
"value": "string"
}
]
}
]
}
Requested Details not found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}